using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using AyCode.Entities.ServiceProviders;
using AyCode.Interfaces.Entities;
using AyCode.Interfaces.TimeStampInfo;
using TIAM.Entities.Products;
using TIAM.Entities.Users;

namespace TIAM.Entities.ServiceProviders;

[Table("ServiceProviders")]
public class TiamServiceProvider : AcServiceProvider<User, UserToServiceProvider>
{
    public virtual List<Product> Products { get; } = new();

    public TiamServiceProvider()
    {
    }

    public TiamServiceProvider(string name, Guid ownerId) : this(Guid.NewGuid(), name, ownerId)
    {
    }

    public TiamServiceProvider(Guid id, string name, Guid ownerId) : this(id, name, ownerId, Guid.NewGuid())
    {
    }

    public TiamServiceProvider(Guid id, string name, Guid ownerId, Guid affiliateId) : base(id, name, ownerId, affiliateId)
    {
    }
}